;;; The contents of this directory structure is subject to the following
;;; copyright notice:
;;;
;;;	Copyright (c) 2006, 2007 Andrew A. Berlin
;;;
;;;	This program is free software; you can redistribute it and/or
;;;	modify it under the terms of the GNU General Public License as
;;;	published by the Free Software Foundation; either version 2 of
;;;	the License, or (at your option) any later version.
;;;
;;;	This program is distributed in the hope that it will be
;;;	useful, but WITHOUT ANY WARRANTY; without even the implied
;;;	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
;;;	PURPOSE.  See the GNU General Public License for more details.
;;;
;;;	You should have received a copy of the GNU General Public
;;;	License along with this program; if not, write to the Free
;;;	Software Foundation, Inc., 59 Temple Place - Suite 330,
;;;	Boston, MA 02111-1307, USA.

(define *hlh-model-origin* (topology-startpt hlh-tube))

(define example-hlh-world
  (define-world 'example-hlh-world
    (topology hlh-tube) ;;harmonic-linear-harmonic model of tube shape
    (probe 'main-probe
	   (initial-location 0)
	   (initial-velocity 0)
	   (magnet magnet-Gaussboys-1mmx4mm))

    (actuator 'top-right
	      (location (3point-+ (make-3point (in->m 2.0) (in->m 2.0) (in->m 2.0)) *hlh-model-origin*))
	      (orientation-target *hlh-model-origin*)
	      (polarity 'positive)
	      (magnet magnet-Gaussboys-large-37mmx37mm))

    (actuator 'top-left
	      (location (3point-+ (make-3point (in->m -2.0) (in->m 2.0) (in->m  2.0)) *hlh-model-origin*))
	      (orientation-target *hlh-model-origin*)
	      (polarity 'positive)
	      (magnet magnet-Gaussboys-large-37mmx37mm))

    (actuator 'bottom-right
	      (location (3point-+ (make-3point (in->m 2.0) (in->m 2.0) (in->m -2.0)) *hlh-model-origin*))
	      (orientation-target *hlh-model-origin*)
	      (polarity 'positive)
	      (magnet magnet-Gaussboys-large-37mmx37mm))

    (actuator 'bottom-left
	      (location (3point-+ (make-3point (in->m -2.0) (in->m 2.0) (in->m  -2.0)) *hlh-model-origin*))
	      (orientation-target *hlh-model-origin*)
	      (polarity 'positive)
	      (magnet magnet-Gaussboys-large-37mmx37mm))

    ))

(describe-world example-hlh-world)

(set! dt 0.05) ;;how often to print, in seconds
(set! *run-until* 0.5) 

(run-simulator example-hlh-world *run-until* #t) ;#t says to print state at each dt

(write-files! example-hlh-world)
(plot-menu example-hlh-world)
