;;; The contents of this directory structure is subject to the following
;;; copyright notice:
;;;
;;;	Copyright (c) 2006, 2007 Andrew A. Berlin
;;;
;;;	This program is free software; you can redistribute it and/or
;;;	modify it under the terms of the GNU General Public License as
;;;	published by the Free Software Foundation; either version 2 of
;;;	the License, or (at your option) any later version.
;;;
;;;	This program is distributed in the hope that it will be
;;;	useful, but WITHOUT ANY WARRANTY; without even the implied
;;;	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
;;;	PURPOSE.  See the GNU General Public License for more details.
;;;
;;;	You should have received a copy of the GNU General Public
;;;	License along with this program; if not, write to the Free
;;;	Software Foundation, Inc., 59 Temple Place - Suite 330,
;;;	Boston, MA 02111-1307, USA.

(define linear-model2-start-point
  (make-3point 0
	       0
	       0))

(define linear-model2-end-point
   (make-3point (in->m 5)
		0
		0))

(define (linear-distance-between-2-points p1 p2)
  (let ((difference-pt (3point-- p1 p2)))
    (sqrt (3point-dot-product difference-pt difference-pt))))

(define linear-model2-topology
  (make-linear-model2-fallopian-tube
   linear-model2-start-point
   linear-model2-end-point
   (linear-distance-between-2-points
    linear-model2-end-point
    linear-model2-start-point)))

